*****************************************************	
*****************************************************
/*******************Master do file *****************/ 	
*****************************************************	
*****************************************************
* This program runs all do files in Chapter 2


	clear all
	set more off, perm
	capture log close
	
/*	Recall to run the do file "Practical guide to TPA/directory_definition.do
	before running this do file or any of the do files contained herein	
*/

	
/*	Applications 	*/
	
*	1.	Generating a tariff profile
	
	cd "$input/Chapter2/Applications/1_generating a tariff profile/i_importing the data into STATA"
	do ImportDataFromWITS-IDB-TAO	
	
	cd "$input/Chapter2/Applications/1_generating a tariff profile/ii_summary of tariffs and imports"
	do TariffsImportsSummaryDutyRanges-IDB-TAO
	
	
*	2.	Value of preferential margins	
	cd "$input/Chapter2/Applications/2_value of preferential margins"
	do AnalyzingPreferentialMarketAccess

	
/*	Exercises	*/

*	1. Tariff profile
	cd "$input/Chapter2/Exercises/1_tariff profile"
	do PHL_TariffProfile
	
*	2.	AVE on N-AV tariffs
	cd "$input/Chapter2/Exercises/2_Ad valorem equivalents of non ad valorem tariffs" 
	do ZAF_AVEofNAV
	
*	3.	Tariff analysis
	cd "$input/Chapter2/Exercises/3_tariff analysis"
	do AnalyzingTradePolicy
	

	exit
	exit
	exit
